/* -------------------------------- 

Primary style

-------------------------------- */
*,
*::after,
*::before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
html {
	font-size: 62.5%;
}
body {
	font-size: 1.6rem;
	font-family: "Open Sans", sans-serif;
	color: #2b3e51;
	background-color: #ffffff;
}
a {
	color: #2c97de;
	text-decoration: none;
}
/* -------------------------------- 

Form

-------------------------------- */
.backgound-message {
	background: #333;
	background-size: cover;
	backface-visibility: visible;
	text-align: center;
	max-width: 16%;
	height: 100%;
	background-position: center;
	position: fixed;
}

.backgound-message::after {
	content: "";
	height: 100%;
	width: 93%;
	display: table;
	position: absolute;
	top: 0;
}
.centerblock {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
}
.backgound-message_title {
	z-index: 99;
	background-color: aliceblue;
	padding: 10px;
	font-size: 16px;
	font-family: sans-serif;
	width: 100%;
}
.health-insights-form {
}
.health-insights-form::after {
	clear: both;
	content: "";
	display: table;
}
.health-insights-form fieldset {
	margin: 10px 0;
}
.health-insights-form legend {
	margin-bottom: 0px;
	font-size: 1.8rem;
	border-bottom: 1px solid #ecf0f1;
}
.health-insights-form div {
	/* form element wrapper */
	position: relative;
}
.health-insights-form h4,
.health-insights-form .health-insights-label {
	font-size: 1.3rem;
	color: #94aab0;
	margin-bottom: 10px;
}
.health-insights-form .health-insights-label {
	display: block;
}
.health-insights-form input,
.health-insights-form textarea,
.health-insights-form select,
.health-insights-form label {
	font-family: "Open Sans", sans-serif;
	font-size: 1.6rem;
	color: #2b3e51;
}

.trashStyle {
	color: #fff !important;
	font-size: 14px !important;
}
.health-insights-form input[type="text"],
.health-insights-form input[type="email"],
.health-insights-form input[type="password"],
.health-insights-form input[type="date"],
.health-insights-form textarea,
.health-insights-form select,
.health-insights-form legend {
	display: block;
	width: 100%;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
}
.health-insights-form input[type="date"] {
	padding: 9px;
}
.health-insights-form input[type="text"],
.health-insights-form input[type="password"],
.health-insights-form input[type="email"],
.health-insights-form input[type="date"],
.health-insights-form textarea,
.health-insights-form select {
	/* general style for input elements */
	padding: 12px;
	border: 1px solid #cfd9db;
	background-color: #ffffff;
	border-radius: 0.25em;
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.08);
}
.health-insights-form input[type="date"] {
	padding: 5px;
}
.health-insights-form input[type="text"]:focus,
.health-insights-form input[type="email"]:focus,
.health-insights-form input[type="passowrd"]:focus,
.health-insights-form input[type="date"]:focus,
.health-insights-form textarea:focus,
.health-insights-form select:focus {
	outline: none;
	border-color: #fb5d00;
	box-shadow: 0 0 5px rgba(44, 151, 222, 0.2);
}
.health-insights-form .health-insights-select {
	/* select element wapper */
	position: relative;
}
.health-insights-form .health-insights-select::after {
	/* arrow icon for select element */
	content: "";
	position: absolute;
	z-index: 1;
	right: 16px;
	top: 50%;
	margin-top: -8px;
	display: block;
	width: 16px;
	height: 16px;
	background: url("../img/health-insights-icon-arrow.svg") no-repeat center
		center;
	pointer-events: none;
}
.health-insights-form select {
	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
	cursor: pointer;
}
.health-insights-form select::-ms-expand {
	display: none;
}
.health-insights-form .health-insights-form-list {
	margin-top: 16px;
}
.health-insights-form .health-insights-form-list::after {
	clear: both;
	content: "";
	display: table;
}
.health-insights-form .health-insights-form-list li {
	/* wrapper for radio and checkbox input types */
	display: inline-block;
	position: relative;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	margin: 0 26px 16px 0;
	float: left;
}
.health-insights-form input[type="radio"],
.health-insights-form input[type="checkbox"] {
	/* hide original check and radio buttons */
	position: absolute;
	left: 0;
	top: 50%;
	-webkit-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	transform: translateY(-50%);
	margin: 0;
	padding: 0;
	opacity: 0;
	z-index: 2;
}
.health-insights-form input[type="radio"] + label,
.health-insights-form input[type="checkbox"] + label {
	padding-left: 24px;
}
.health-insights-form input[type="radio"] + label::before,
.health-insights-form input[type="radio"] + label::after,
.health-insights-form input[type="checkbox"] + label::before,
.health-insights-form input[type="checkbox"] + label::after {
	/* custom radio and check boxes */
	content: "";
	display: block;
	position: absolute;
	left: 0;
	top: 50%;
	margin-top: -8px;
	width: 16px;
	height: 16px;
}
.health-insights-form input[type="radio"] + label::before,
.health-insights-form input[type="checkbox"] + label::before {
	border: 1px solid #cfd9db;
	background: #ffffff;
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.08);
}
.health-insights-form input[type="radio"] + label::before,
.health-insights-form input[type="radio"] + label::after {
	border-radius: 50%;
}
.health-insights-form input[type="checkbox"] + label::before,
.health-insights-form input[type="checkbox"] + label::after {
	border-radius: 0.25em;
}
.health-insights-form input[type="radio"] + label::after,
.health-insights-form input[type="checkbox"] + label::after {
	background-color: #2c97de;
	background-position: center center;
	background-repeat: no-repeat;
	box-shadow: 0 0 5px rgba(44, 151, 222, 0.4);
	display: none;
}
.health-insights-form input[type="radio"] + label::after {
	/* custom image for radio button */
	background-image: url("../img/health-insights-icon-radio.svg");
}
.health-insights-form input[type="checkbox"] + label::after {
	/* custom image for checkbox */
	background-image: url("../img/health-insights-icon-check.svg");
}
.health-insights-form input[type="radio"]:focus + label::before,
.health-insights-form input[type="checkbox"]:focus + label::before {
	/* add focus effect for radio and check buttons */
	box-shadow: 0 0 5px rgba(44, 151, 222, 0.6);
}
.health-insights-form input[type="radio"]:checked + label::after,
.health-insights-form input[type="checkbox"]:checked + label::after {
	display: block;
}
.health-insights-form input[type="radio"]:checked + label::before,
.health-insights-form input[type="radio"]:checked + label::after,
.health-insights-form input[type="checkbox"]:checked + label::before,
.health-insights-form input[type="checkbox"]:checked + label::after {
	-webkit-animation: health-insights-bounce 0.3s;
	-moz-animation: health-insights-bounce 0.3s;
	animation: health-insights-bounce 0.3s;
}
.health-insights-form textarea {
	min-height: 100px;
	resize: vertical;
	overflow: auto;
}
.health-insights-form input[type="submit"] {
	/* button style */
	border: none;
	background: #e25a00;
	border-radius: 0.25em;
	padding: 11px 16px;
	padding: 8px;
	font-size: 14px;
	color: #ffffff;
	font-weight: bold;
	cursor: pointer;
	width: 15%;
	margin: auto;
	text-align: center;
	margin-top: 10px;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
}
.no-touch .health-insights-form input[type="submit"]:hover {
	background: #42a2e1;
}
.health-insights-form input[type="submit"]:focus {
	outline: none;
	background: #2b3e51;
}
.health-insights-form input[type="submit"]:active {
	-webkit-transform: scale(0.9);
	-moz-transform: scale(0.9);
	-ms-transform: scale(0.9);
	-o-transform: scale(0.9);
	transform: scale(0.9);
}
/*
.health-insights-form [required] {
  background: url("../img/health-insights-required.svg") no-repeat top right;
}
*/
.health-insights-form .error-message p {
	background: #e94b35;
	color: #ffffff;
	font-size: 1.4rem;
	text-align: center;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	border-radius: 0.25em;
	padding: 5px;
}
.health-insights-form .error {
	border-color: #e94b35 !important;
}
@media only screen and (min-width: 600px) {
	.health-insights-form div {
		/* form element wrapper */
	}
	.health-insights-form legend + div {
		/* reduce margin-top for first form element after the legend */
	}
	.health-insights-form h4,
	.health-insights-form .health-insights-label {
		font-size: 1.4rem;
		margin-bottom: 5px;
	}
	.health-insights-form input[type="text"],
	.health-insights-form input[type="email"],
	.health-insights-form input[type="password"],
	.health-insights-form input[type="date"],
	.health-insights-form textarea,
	.health-insights-form select {
		padding: 5px;
	}
}
@-webkit-keyframes health-insights-bounce {
	0%,
	100% {
		-webkit-transform: scale(1);
	}
	50% {
		-webkit-transform: scale(0.8);
	}
}
@-moz-keyframes health-insights-bounce {
	0%,
	100% {
		-moz-transform: scale(1);
	}
	50% {
		-moz-transform: scale(0.8);
	}
}
@keyframes health-insights-bounce {
	0%,
	100% {
		-webkit-transform: scale(1);
		-moz-transform: scale(1);
		-ms-transform: scale(1);
		-o-transform: scale(1);
		transform: scale(1);
	}
	50% {
		-webkit-transform: scale(0.8);
		-moz-transform: scale(0.8);
		-ms-transform: scale(0.8);
		-o-transform: scale(0.8);
		transform: scale(0.8);
	}
}

button.btn-syle {
	transform: translate(0, 25px);
	height: 33px;
	width: 100%;
	font-size: 14px;
}

#confirmPosition {
	height: 33px;
	width: auto;
	font-size: 14px;
	color: #fff;
	background-color: #28a745;
	border-color: #28a745;
}

table.myTableData {
	font-size: 14px;
}

#mydata {
	height: 100px;
	overflow: auto;
}

#mydata table a {
	text-decoration: none;
	color: red;
}

#mydata th {
	background: #e25a00;
	color: #fff;
}
/* -------------------------------- 

Custom icons

-------------------------------- */
.health-insights-form .icon input,
.health-insights-form .icon select,
.health-insights-form .icon textarea {
	padding-left: 54px !important;
}
.health-insights-form .user {
	background: url("../img/health-insights-icon-user.svg") no-repeat 16px center;
}
.health-insights-form .company {
	background: url("../img/health-insights-icon-company.svg") no-repeat 16px
		center;
}
/*
.health-insights-form [required].company {
  background: url("../img/health-insights-icon-company.svg") no-repeat 16px center, url("../img/health-insights-required.svg") no-repeat top right;
}
*/
.health-insights-form .email {
	background: url("../img/health-insights-icon-email.svg") no-repeat 16px center;
}
.health-insights-form .card-date {
	background: url("../img/health-insights-icon-card-date.svg") no-repeat 16px
		center;
}
.health-insights-form .card-name {
	background: url("../img/health-insights-icon-card-name.svg") no-repeat 16px
		center;
}
.health-insights-form .credit-num {
	background: url("../img/health-insights-icon-credit-num.svg") no-repeat 16px
		center;
}
.health-insights-form .credit-type {
	background: url("../img/health-insights-icon-credit-type.svg") no-repeat 16px
		center;
}
.health-insights-form .follow {
	background: url("../img/health-insights-icon-follow.svg") no-repeat 16px
		center;
}
.health-insights-form .visit {
	background: url("../img/health-insights-icon-visit.svg") no-repeat 16px center;
}
.health-insights-form .certification {
	background: url("../img/health-insights-icon-certification.svg") no-repeat
		16px center;
}
.health-insights-form .address {
	background: url("../img/health-insights-icon-address.svg") no-repeat 16px
		center;
}
.health-insights-form .specilalty {
	background: url("../img/health-insights-icon-specilalty.svg") no-repeat 16px
		center;
}
.health-insights-form .birthdate {
	background: url("../img/health-insights-icon-birth.svg") no-repeat 16px center;
}
.health-insights-form .hospital-list {
	background: url("../img/health-insights-icon-hospital.svg") no-repeat 16px
		center;
}
.health-insights-form .ac-tele {
	background: url("../img/health-insights-icon-ac-tele.svg") no-repeat 16px
		center;
}
.health-insights-form .ac-password {
	background: url("../img/health-insights-icon-ac-password.svg") no-repeat 16px
		center;
}
.health-insights-form .budget {
	background: url("../img/health-insights-icon-budget.svg") no-repeat 16px
		center;
}
.health-insights-form .message {
	background: url("../img/health-insights-icon-message.svg") no-repeat 16px 16px;
}
/*
.health-insights-form [required].message {
  background: url("../img/health-insights-icon-message.svg") no-repeat 16px 16px, url("../img/health-insights-required.svg") no-repeat top right;
}
*/
/* -------------------------------- 

FLoating labels 

-------------------------------- */
.js .floating-labels div {
	margin: 0px 0;
}
.js .floating-labels .health-insights-label {
	position: absolute;
	top: 16px;
	left: 16px;
	font-size: 1.6rem;
	cursor: text;
	-webkit-transition: top 0.2s, left 0.2s, font-size 0.2s;
	-moz-transition: top 0.2s, left 0.2s, font-size 0.2s;
	transition: top 0.2s, left 0.2s, font-size 0.2s;
}
.js .floating-labels .icon .health-insights-label {
	left: 56px;
}
.js .floating-labels .health-insights-label.float {
	/* move label out the input field */
	font-size: 1.4rem;
	top: -25px;
	left: 0 !important;
	font-weight: 500;
}
@media (max-width: 900px) {
	.bkmsg {
		display: none;
	}
}
@media only screen and (max-width: 600px) {
	.js .floating-labels legend + div {
		/* reduce margin-top for first form element after the legend */
		margin-top: 16px;
	}
	.js .floating-labels .health-insights-label {
		top: 11px;
	}

	.health-insights-form input[type="submit"] {
		width: 100%;
	}

	button.btn-syle {
		margin-bottom: 5px;
	}

	#mydata {
		margin-top: 15px;
	}
}
